Description

The build of pythiaé changed as reported by Robert.

Between ROOT v6_12_06a and v6_16_00 there was a minor version change in the pythia6 build:

root v6_12_06a —-gq el7:prof
|_clhep v2_3_4_6 —-gq el7:prof

| |_gcc v7_3_0

|___fftw v3_3_6_pl2 —-gq prof

|_gsl v2_4 —-g prof

|_pythia v6_4_28k —-g gcc730:prof
|__postgresqgl v9_6_6a —g p2714b

| |__python v2_7_14b

| |_sglite v3_20_01_00
|_mysqgl_client v5_5_58a —-gq el7
|__libxml2 v2_9_5 -gq prof
|___xrootd v4_8_0b —-g el7:prof
|__tbb v2018_2a —qg el7:prof

vSs.

root v6_16_00 —-g el7:prof
| __numpy v1_15_4b —-g el7:p2715a:prof
| |__python v2_7_15a

| | |__sglite v3_26_00_00

| |__lapack v3_8_0c —gq el7:prof

| |_gcc v7_3_0

|__fftw v3_3_8 -gq prof

|_gsl v2_5 —-g prof

|_pythia v6_4_28p —-gq gcc730:prof
|_postgresgl v9_6_11b —-g p2715a
|__mysqgl_client v5_5_62 —-g el7
|__libxml2 v2_9_9 -gq prof

|___xrootd v4_8_5b —-gq el7:prof

|__tbb v2019_3 -gq el7:prof

Since pythia6 has no sub-dependence it's unclear what drove this change. The 'k’ vs. ‘'p° version
is indicative of a change in SciSoft build and not a change in the pythia6 code itself.

But it does look like the v6_4_28p version was built somehow differently ... (possibly) without al
1 the necessary bits needed for correct integration:

v6_4_28k/Linux64bit+2.6-2.12-gcc730-prof/1lib/:
libpydum.a 1libPythia6.so libpythia.a

v6_4_28p/Linux64bit+2.6-2.12-gcc730-prof/lib/:
libPythiab.so

There might also be some odd interaction with
diff -u -r -b -w v6_4_28k/source v6_4_28p/source/
Only in v6_4_28k/source/pythia: src

Only in v6_4_28p/source/pythia: ssmssm.f

Only in v6_4_28p/source/pythia: structm.f

Only in v6_4_28p/source/pythia: structp.f

Only in v6_4_28p/source/pythia: sugra.f

Only in v6_4_28p/source/pythia: update_notes.txt
Only in v6_4_28p/source/pythia: upevnt.f

Only in v6_4_28p/source/pythia: upevnt.f.orig
Only in v6_4_28p/source/pythia: upinit.f
Only in v6_4_28p/source/pythia: upinit.f.orig

Only in v6_4_28k/source/pythia: ups

Only in v6_4_28p/source/pythia: upveto.f

Only in v6_4_28p/source/pythia: upveto.f.orig
Only in v6_4_28p/source/pythia: visaje.f

Only in v6_4_28p/source/: tpythia6_build

I think those “structm.f’ and “strict.f’ shouldn't be there ... internally they say:

C...Dummy routine, to be removed when PDFLIB is to be linked.

Chris replied:

Between v6_4_28k and v6_4_28p, apart from the usual minor changes to add support for new compilers
, we moved from using our own spit of the source to one provided by Lund officially, request chann
eled via Steve Mrenna. This was done contemporaneously with the inauguration of a Spack recipe for
Pythia6, to avoid FNAL being encoded forever in the upstream repository as the place to obtain th

e code.

PYTIME, UPEVNT, UPINIT and UPVETO are now handled via patch (see https://cdcvs.fnal.gov/redmine/pr
ojects/build-framework/repository/pythia-ssi-build/revisions/master/entry/patch/pythia6.patch).

We no longer produce a static library, and (so far) have had no complaints.
It's possible that we missed a couple of dummies when we were dealing with the new Lund-split tarb

alls, but again, we have had no complaints. We can certainly meet later today and discuss specific
s if you still have concerns.

History

#1 - 12/02/2019 11:11 AM - Lynn Garren
- Assignee set to Lynn Garren
- Status changed from New to Assigned

- Co-Assignees Christopher Green added

| think Robert is correct. The dummy routines are not meant be part of the main library.

#2 - 12/02/2019 11:11 AM - Lynn Garren

- Status changed from Assigned to Feedback

Robert, do you have an example of a specific problem you are seeing when using the latest pythia6?

#3 - 12/09/2019 11:00 AM - Kyle Knoepfel

Pinging again: Robert, do you have an example of a specific problem you are seeing when using the latest pythia6?
#4 - 12/09/2019 11:05 AM - Robert Hatcher
Yes, but it's also convoluted with some other things (LHAPDF5 and possibly changes to GENIE, whether using debug or prof) | spent part of last

week looking into this (to no complete resolution) and will continue this week.

#5 - 12/16/2019 10:23 AM - Kyle Knoepfel
Any update on this Robert?
#6 - 01/06/2020 10:29 AM - Kyle Knoepfel

- Assignee changed from Lynn Garren to Christopher Green
